<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Menu;

use Chill\MainBundle\Routing\LocalMenuBuilderInterface;
use Knp\Menu\MenuItem;

class SectionMenuBuilder implements LocalMenuBuilderInterface
{
    public function buildMenu($menuId, MenuItem $menu, array $parameters)
    {
        $menu->addChild('Tickets', ['route' => 'chill_ticket_ticket_list'])
            ->setExtras(['order' => 250]);
    }

    public static function getMenuIds(): array
    {
        return ['section'];
    }
}
